The array/pop_front.hpp header defines macros to pop an element from the beginning of an array.

#### Usage

#include <boost/preprocessor/array/pop_front.hpp>

#### Contents

- BOOST_PP_ARRAY_POP_FRONT
- BOOST_PP_ARRAY_POP_FRONT_Z

© Copyright Housemarque Oy 2002 © Copyright Paul Mensonides 2002

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)